<? $this->headScript()->appendFile('/js/tiny_mce_3_3_5/tiny_mce.js', 'text/javascript'); ?>
<script type="text/javascript">
	
	var initDeletePhotos = function() {
		if ( $$('.pr-photos a.delete') ) {
			$$('.pr-photos a.delete').addEvent('click', function(e){
				e.stop();

				deletePhoto(this);
			});
		}
	}
	
	var deletePhoto = function(el) {
		var photo_inputs = $$('.photo-inputs')[0];
	
		var req = new Request.JSON({
			method: 'get',
			url: '/classified-ads/ajax-remove-photo?image_id=' + el.get('rel'),
			onComplete: function(resp) {
				if ( resp.status == 'success' ) {
					el.getParent('div').destroy();
					
					new Element('input', {
						'type': 'file',
						'class': 'w260',
						'name' : 'photo_' + String.uniqueID() 
					}).inject(photo_inputs, 'top');
				} else {
					
				}
			}
		}).send();
	};
	
	var initRemoveBtns = function() {
		var popup = $$('.place-ad')[0];
	
		var selected_cities = popup.getElement('#h-cities');
		var hiddens = popup.getElements('.h-inner')[0];
		
		selected_cities.getElements('a').addEvent('click', function(e){
			e.stop();
			
			var city_id = this.get('href');
			
			this.getNext('div').destroy();
			this.getNext('p').destroy();
			this.destroy();
			
			hiddens.getElement('input[value=' + city_id + ']').destroy();
		});
	};
	
	var initCitiesAdd = function() {
		var cities_count = 3;
	
		var popup = $$('.place-ad')[0];
	
		var city_select = popup.getElement('select[name=city]');
		var selected_cities = popup.getElement('#h-cities');
		var hiddens = popup.getElements('.h-inner')[0];
		
		var city_title = city_select.getSelected().get('html')[0];
		var city_id = city_select.getSelected().get('value')[0];
		
		if ( ! city_id ) return;
		
		if ( hiddens.getElement('input[value=' + city_id + ']') ) return;
		
		if ( hiddens.getElements('input[type=hidden]').length == cities_count ) {
			alert('You can select max ' + cities_count + ' cities');
			return;
		}
		
		new Element('div', {
			'class': 'clear'
		}).inject(selected_cities, 'top');
		var city_title = new Element('p', {
			'html': city_title
		}).inject(selected_cities, 'top');
		var btn_remove = new Element('a', {
			'href': city_id
		}).inject(selected_cities, 'top');
		
		new Element('input', {
			'type': 'hidden',
			'name': 'cities[]',
			'value': city_id
		}).inject(hiddens, 'top');
	};
	
	window.addEvent('domready', function(){		
		
		initDeletePhotos();
		initRemoveBtns();
		
		if ( typeof(tinyMCE) !== 'undefined' ) {
			tinyMCE.init({
				mode : "exact",
				elements: "txt",
				theme : "advanced",

				plugins: "emotions,advhr,preview,paste",
				theme_advanced_toolbar_location	  : "top",
				theme_advanced_toolbar_align	  : "left",
				editor_selector : 'about-field',
				theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,undo,redo,|,pastetext,pasteword,fullscreen,emotions,preview",
				theme_advanced_buttons2 : "",
				theme_advanced_buttons3_add : "",
				remove_script_host : false,
				relative_urls : false,
				convert_urls : false
			});
		}
		
		$('btn-city-add').addEvent('click', function(e){
			e.stop();
			
			initCitiesAdd();
			
			initRemoveBtns();
		});
	});
</script>

<style type="text/css">	
	#h-cities {
		border: 1px solid #ccc; 
		padding: 5px; 
		margin: 0 0 10px 0px; 
		width: 243px;
	}
	#h-cities a {
		float: left;
		display: block;
		background: url(../img/pm_rm.png) no-repeat top left;
		width: 14px;
		height: 14px;
		margin-top: 5px;
		cursor: pointer;
	}
	#h-cities p {
		float: left;
		margin: 5px 0 0 5px;
		font-weight: bold;
		font-size: 12px;
	}
	
	#btn-city-add {
		float: left;
		display: block;
		background: url(../img/add.png) no-repeat top left;
		width: 16px;
		height: 16px;
		margin: 21px 0 0 5px;
		cursor: pointer;
	}
</style>

<div class="place-ad">
	<ul class="place-ad-tabs">
		<li class="step-1-act"><div class="step-1-act"><?= __('c_ads_step_1') ?></div></li>
		<li ><div class="step-2"><?= __('c_ads_step_2') ?></div></li>
		<li ><div class="step-3"><?= __('c_ads_step_3') ?></div></li>
	</ul>
	<div class="clear"></div>
	<div class="place-ad-box">
		<form method="post" action="" enctype="multipart/form-data">
			<div class="left-side">
				<div class="inner">
					<label><?= __('select_category') ?></label>
					<select name="category" class="w260">
						<option>- <?= __('all') ?> -</option>
						<? foreach( $this->defines['classified_ad_categories_bl'] AS $id => $title ): ?>
							<option <?= ($id == $this->data['category']) ? 'selected="selected"' : '' ?> value="<?= $id ?>"><?= $title ?></option>
						<? endforeach; ?>
					</select>
					<? if ( isset($this->errors['category']) ): ?><p class="err"><?= $this->errors['category'] ?></p><? endif; ?>
				</div>
				
				<div class="inner" style="float:left">
					<label><?= __('city') ?></label>
					<select name="city" class="w240">
						<option value="">- <?= __('all') ?> -</option>
						<? foreach ( $this->cities AS $city ): ?>
						<option <?= ($city->id == $this->data['city']) ? 'selected="selected"' : '' ?> value="<?= $city->id ?>"><?= $city->title ?></option>
						<? endforeach; ?>
					</select>
					<? if ( isset($this->errors['city']) ): ?><p class="err"><?= $this->errors['city'] ?></p><? endif; ?>
				</div>
				
				<div class="mt20 fleft">
					<a id="btn-city-add"></a>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
				
				<div id="h-cities">
					<? foreach ( $this->cities AS $city ): ?>
						<? if (in_array($city->id, $this->data['cities']) ): ?>
						<a href="<?= $city->id ?>"></a><p><?= $city->title ?></p><div class="clear"></div>
						<? endif; ?>
					<? endforeach; ?>
				
					<div class="h-inner">
						<? foreach ( $this->cities AS $city ): ?>
							<? if (in_array($city->id, $this->data['cities']) ): ?>
							<input type="hidden" name="cities[]" value="<?= $city->id ?>" />
							<? endif; ?>
						<? endforeach; ?>
					</div>
				</div>
				
				<div class="inner">
					<label><?= __('phone') ?></label>
					<input type="text" value="<?= $this->data['phone'] ?>" name="phone" class="w254" />
					<? if ( isset($this->errors['phone_email']) ): ?><p class="err"><?= $this->errors['phone_email'] ?></p><? endif; ?>
				</div>
				<div class="inner">
					<label><?= __('email') ?></label>
					<input type="text" value="<?= $this->data['email'] ?>" name="email" class="w254" />
					<? if ( isset($this->errors['invalid_email']) ): ?><p class="err"><?= $this->errors['invalid_email'] ?></p><? endif; ?>
				</div>
				<div class="inner">
					<label><?= __('photos') ?> <?= __('max_3_allowed') ?></label>
					
					<? if ( count($this->photos) ): ?>
						<? foreach( $this->photos as $photo ): ?>
							<? $img = new Cubix_ImagesCommonItem($photo); ?>
							<div class="pr-photos">
								<img src="<?= $img->getUrl('cads_small') ?>" />
								<a href="#" rel="<?= $img->image_id ?>" class="delete"></a>
							</div>
						<? endforeach; ?>
						<div class="clear"></div>
					<? endif; ?>
					
					<div class="photo-inputs">
					<? for( $i = $this->photos_count; $i < 3; $i++ ): ?>
						<input type="file" value="" name="photo_<?= $i ?>" class="w260" />
					<? endfor; ?>
					</div>
					
					<? if ( isset($this->errors['photos']) && count($this->errors['photos']) ): ?>
						<? foreach ( $this->errors['photos'] as $err ): ?>
					<p class="err"><?= $err ?></p>
						<? endforeach; ?>
					<? endif; ?>
				</div>
				<div class="inner">
					<label><?= __('duration') ?></label>
					<select name="duration" class="w100">
						<? foreach( $this->defines['classified_ad_durations'] AS $id => $title ): ?>
							<option <?= ($id == $this->data['duration']) ? 'selected="selected"' : '' ?> value="<?= $id ?>"><?= $title ?></option>
						<? endforeach; ?>
					</select>
				</div>
			</div>
			<div class="right-side">
				<div class="inner">
					<label><?= __('c_ads_title') ?></label>
					<input type="text" value="<?= $this->data['title'] ?>" name="title" class="w340" />
					<? if ( isset($this->errors['title']) ): ?><p class="err"><?= $this->errors['title'] ?></p><? endif; ?>
				</div>
				<div class="inner">
					<label><?= __('your_text') ?></label>
					<textarea id="txt" name="text"><?= $this->data['text'] ?></textarea>
					<? if ( isset($this->errors['text']) ): ?><p class="err"><?= $this->errors['text'] ?></p><? endif; ?>
				</div>
			</div>
			<div class="clear"></div>

			<div class="action">
				<input type="image" src="<?= _st('c-ads/next_step_btn_' . $this->lang() . '.png') ?>" />
			</div>
		</form>
	</div>
</div>